commit a9977a2dc1135d040088b90e1ea307b3ff71c0b5
Author: Ken Gaillot <kgaillot@redhat.com>
Date:   Tue Mar 22 16:43:53 2016 -0500

    Test: pengine: update regression tests for guest node pseudo-fencing

diff --git a/pengine/test10/bug-cl-5247.dot b/pengine/test10/bug-cl-5247.dot
index ed728ac02..0ab78932e 100644
--- a/pengine/test10/bug-cl-5247.dot
+++ b/pengine/test10/bug-cl-5247.dot
@@ -1,4 +1,6 @@
 digraph "g" {
+"all_stopped" -> "prmStonith1-2_start_0 bl460g8n4" [ style = bold]
+"all_stopped" -> "prmStonith2-2_start_0 bl460g8n3" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "grpStonith1_running_0" [ style=bold color="green" fontcolor="orange"]
 "grpStonith1_start_0" -> "grpStonith1_running_0" [ style = bold]
@@ -52,7 +54,7 @@ digraph "g" {
 "msPostgresql_post_notify_demoted_0" -> "pgsql_post_notify_demoted_0 pgsr01" [ style = bold]
 "msPostgresql_post_notify_demoted_0" [ style=bold color="green" fontcolor="orange"]
 "msPostgresql_post_notify_stopped_0" -> "msPostgresql_confirmed-post_notify_stopped_0" [ style = bold]
-"msPostgresql_post_notify_stopped_0" -> "pgsql_post_notify_stop_0 pgsr01" [ style = bold]
+"msPostgresql_post_notify_stopped_0" -> "pgsql_post_notify_stonith_0 pgsr01" [ style = bold]
 "msPostgresql_post_notify_stopped_0" [ style=bold color="green" fontcolor="orange"]
 "msPostgresql_pre_notify_demote_0" -> "msPostgresql_confirmed-pre_notify_demote_0" [ style = bold]
 "msPostgresql_pre_notify_demote_0" -> "pgsql_pre_notify_demote_0 pgsr01" [ style = bold]
@@ -65,21 +67,21 @@ digraph "g" {
 "msPostgresql_stop_0" [ style=bold color="green" fontcolor="orange"]
 "msPostgresql_stopped_0" -> "msPostgresql_post_notify_stopped_0" [ style = bold]
 "msPostgresql_stopped_0" [ style=bold color="green" fontcolor="orange"]
-"pgsql_confirmed-post_notify_stop_0" -> "all_stopped" [ style = bold]
-"pgsql_confirmed-post_notify_stop_0" -> "pgsql_monitor_9000 pgsr01" [ style = bold]
-"pgsql_confirmed-post_notify_stop_0" [ style=bold color="green" fontcolor="orange"]
+"pgsql_confirmed-post_notify_stonith_0" -> "all_stopped" [ style = bold]
+"pgsql_confirmed-post_notify_stonith_0" -> "pgsql_monitor_9000 pgsr01" [ style = bold]
+"pgsql_confirmed-post_notify_stonith_0" [ style=bold color="green" fontcolor="orange"]
 "pgsql_demote_0 pgsr02" -> "msPostgresql_demoted_0" [ style = bold]
 "pgsql_demote_0 pgsr02" -> "pgsql_stop_0 pgsr02" [ style = bold]
 "pgsql_demote_0 pgsr02" [ style=bold color="green" fontcolor="orange"]
 "pgsql_monitor_9000 pgsr01" [ style=bold color="green" fontcolor="black"]
 "pgsql_post_notify_demoted_0 pgsr01" -> "msPostgresql_confirmed-post_notify_demoted_0" [ style = bold]
 "pgsql_post_notify_demoted_0 pgsr01" [ style=bold color="green" fontcolor="black"]
-"pgsql_post_notify_stop_0 pgsr01" -> "msPostgresql_confirmed-post_notify_stopped_0" [ style = bold]
-"pgsql_post_notify_stop_0 pgsr01" -> "pgsql_confirmed-post_notify_stop_0" [ style = bold]
-"pgsql_post_notify_stop_0 pgsr01" [ style=bold color="green" fontcolor="black"]
-"pgsql_post_notify_stop_0" -> "pgsql_confirmed-post_notify_stop_0" [ style = bold]
-"pgsql_post_notify_stop_0" -> "pgsql_post_notify_stop_0 pgsr01" [ style = bold]
-"pgsql_post_notify_stop_0" [ style=bold color="green" fontcolor="orange"]
+"pgsql_post_notify_stonith_0 pgsr01" -> "msPostgresql_confirmed-post_notify_stopped_0" [ style = bold]
+"pgsql_post_notify_stonith_0 pgsr01" -> "pgsql_confirmed-post_notify_stonith_0" [ style = bold]
+"pgsql_post_notify_stonith_0 pgsr01" [ style=bold color="green" fontcolor="black"]
+"pgsql_post_notify_stonith_0" -> "pgsql_confirmed-post_notify_stonith_0" [ style = bold]
+"pgsql_post_notify_stonith_0" -> "pgsql_post_notify_stonith_0 pgsr01" [ style = bold]
+"pgsql_post_notify_stonith_0" [ style=bold color="green" fontcolor="orange"]
 "pgsql_pre_notify_demote_0 pgsr01" -> "msPostgresql_confirmed-pre_notify_demote_0" [ style = bold]
 "pgsql_pre_notify_demote_0 pgsr01" [ style=bold color="green" fontcolor="black"]
 "pgsql_pre_notify_stop_0 pgsr01" -> "msPostgresql_confirmed-pre_notify_stop_0" [ style = bold]
@@ -91,13 +93,7 @@ digraph "g" {
 "pgsr02_stop_0 bl460g8n4" -> "prmDB2_stop_0 bl460g8n4" [ style = bold]
 "pgsr02_stop_0 bl460g8n4" [ style=bold color="green" fontcolor="black"]
 "prmDB2_stop_0 bl460g8n4" -> "all_stopped" [ style = bold]
-"prmDB2_stop_0 bl460g8n4" -> "master-group_stop_0" [ style = bold]
-"prmDB2_stop_0 bl460g8n4" -> "msPostgresql_stop_0" [ style = bold]
-"prmDB2_stop_0 bl460g8n4" -> "pgsql_demote_0 pgsr02" [ style = bold]
-"prmDB2_stop_0 bl460g8n4" -> "pgsql_post_notify_stop_0" [ style = bold]
-"prmDB2_stop_0 bl460g8n4" -> "pgsql_stop_0 pgsr02" [ style = bold]
-"prmDB2_stop_0 bl460g8n4" -> "vip-master_stop_0 pgsr02" [ style = bold]
-"prmDB2_stop_0 bl460g8n4" -> "vip-rep_stop_0 pgsr02" [ style = bold]
+"prmDB2_stop_0 bl460g8n4" -> "stonith 'off' pgsr02" [ style = bold]
 "prmDB2_stop_0 bl460g8n4" [ style=bold color="green" fontcolor="black"]
 "prmStonith1-2_monitor_3600000 bl460g8n4" [ style=bold color="green" fontcolor="black"]
 "prmStonith1-2_start_0 bl460g8n4" -> "grpStonith1_running_0" [ style = bold]
@@ -106,7 +102,7 @@ digraph "g" {
 "prmStonith1-2_stop_0 bl460g8n4" -> "all_stopped" [ style = bold]
 "prmStonith1-2_stop_0 bl460g8n4" -> "grpStonith1_stopped_0" [ style = bold]
 "prmStonith1-2_stop_0 bl460g8n4" -> "prmStonith1-2_start_0 bl460g8n4" [ style = bold]
-"prmStonith1-2_stop_0 bl460g8n4" [ style=bold color="green" fontcolor="orange"]
+"prmStonith1-2_stop_0 bl460g8n4" [ style=bold color="green" fontcolor="black"]
 "prmStonith2-2_monitor_3600000 bl460g8n3" [ style=bold color="green" fontcolor="black"]
 "prmStonith2-2_start_0 bl460g8n3" -> "grpStonith2_running_0" [ style = bold]
 "prmStonith2-2_start_0 bl460g8n3" -> "prmStonith2-2_monitor_3600000 bl460g8n3" [ style = bold]
@@ -115,6 +111,19 @@ digraph "g" {
 "prmStonith2-2_stop_0 bl460g8n3" -> "grpStonith2_stopped_0" [ style = bold]
 "prmStonith2-2_stop_0 bl460g8n3" -> "prmStonith2-2_start_0 bl460g8n3" [ style = bold]
 "prmStonith2-2_stop_0 bl460g8n3" [ style=bold color="green" fontcolor="black"]
+"stonith 'off' pgsr02" -> "master-group_stop_0" [ style = bold]
+"stonith 'off' pgsr02" -> "msPostgresql_stop_0" [ style = bold]
+"stonith 'off' pgsr02" -> "pgsql_demote_0 pgsr02" [ style = bold]
+"stonith 'off' pgsr02" -> "pgsql_post_notify_stonith_0" [ style = bold]
+"stonith 'off' pgsr02" -> "pgsql_stop_0 pgsr02" [ style = bold]
+"stonith 'off' pgsr02" -> "stonith_complete" [ style = bold]
+"stonith 'off' pgsr02" -> "vip-master_stop_0 pgsr02" [ style = bold]
+"stonith 'off' pgsr02" -> "vip-rep_stop_0 pgsr02" [ style = bold]
+"stonith 'off' pgsr02" [ style=bold color="green" fontcolor="orange"]
+"stonith_complete" -> "all_stopped" [ style = bold]
+"stonith_complete" -> "vip-master_start_0 pgsr01" [ style = bold]
+"stonith_complete" -> "vip-rep_start_0 pgsr01" [ style = bold]
+"stonith_complete" [ style=bold color="green" fontcolor="orange"]
 "vip-master_monitor_10000 pgsr01" [ style=bold color="green" fontcolor="black"]
 "vip-master_start_0 pgsr01" -> "master-group_running_0" [ style = bold]
 "vip-master_start_0 pgsr01" -> "vip-master_monitor_10000 pgsr01" [ style = bold]
diff --git a/pengine/test10/bug-cl-5247.summary b/pengine/test10/bug-cl-5247.summary
index 5564286fe..09dc30113 100644
--- a/pengine/test10/bug-cl-5247.summary
+++ b/pengine/test10/bug-cl-5247.summary
@@ -28,7 +28,7 @@ Transition Summary:
 
 Executing cluster transition:
  * Pseudo action:   grpStonith1_stop_0
- * Pseudo action:   prmStonith1-2_stop_0
+ * Resource action: prmStonith1-2   stop on bl460g8n4
  * Pseudo action:   grpStonith2_stop_0
  * Resource action: prmStonith2-2   stop on bl460g8n3
  * Pseudo action:   msPostgresql_pre_notify_demote_0
@@ -36,18 +36,14 @@ Executing cluster transition:
  * Resource action: prmDB2          stop on bl460g8n4
  * Pseudo action:   grpStonith1_stopped_0
  * Pseudo action:   grpStonith1_start_0
- * Resource action: prmStonith1-2   start on bl460g8n4
- * Resource action: prmStonith1-2   monitor=3600000 on bl460g8n4
  * Pseudo action:   grpStonith2_stopped_0
  * Pseudo action:   grpStonith2_start_0
- * Resource action: prmStonith2-2   start on bl460g8n3
- * Resource action: prmStonith2-2   monitor=3600000 on bl460g8n3
- * Pseudo action:   pgsql_post_notify_stop_0
  * Resource action: pgsql           notify on pgsr01
  * Pseudo action:   msPostgresql_confirmed-pre_notify_demote_0
  * Pseudo action:   msPostgresql_demote_0
- * Pseudo action:   grpStonith1_running_0
- * Pseudo action:   grpStonith2_running_0
+ * Pseudo action:   stonith-pgsr02-off on pgsr02
+ * Pseudo action:   stonith_complete
+ * Pseudo action:   pgsql_post_notify_stop_0
  * Pseudo action:   pgsql_demote_0
  * Pseudo action:   msPostgresql_demoted_0
  * Pseudo action:   msPostgresql_post_notify_demoted_0
@@ -75,6 +71,12 @@ Executing cluster transition:
  * Pseudo action:   pgsql_notified_0
  * Resource action: pgsql           monitor=9000 on pgsr01
  * Pseudo action:   all_stopped
+ * Resource action: prmStonith1-2   start on bl460g8n4
+ * Resource action: prmStonith1-2   monitor=3600000 on bl460g8n4
+ * Resource action: prmStonith2-2   start on bl460g8n3
+ * Resource action: prmStonith2-2   monitor=3600000 on bl460g8n3
+ * Pseudo action:   grpStonith1_running_0
+ * Pseudo action:   grpStonith2_running_0
 Using the original execution date of: 2015-08-12 02:53:40Z
 
 Revised cluster status:
diff --git a/pengine/test10/bug-rh-1097457.dot b/pengine/test10/bug-rh-1097457.dot
index 078d17730..ece283479 100644
--- a/pengine/test10/bug-rh-1097457.dot
+++ b/pengine/test10/bug-rh-1097457.dot
@@ -47,14 +47,9 @@ digraph "g" {
 "VM2_start_0 lama3" -> "VM2_monitor_10000 lama3" [ style = bold]
 "VM2_start_0 lama3" -> "lamaVM2_start_0 lama3" [ style = bold]
 "VM2_start_0 lama3" [ style=bold color="green" fontcolor="black"]
-"VM2_stop_0 lama3" -> "FAKE4-IP_stop_0 lamaVM2" [ style = bold]
-"VM2_stop_0 lama3" -> "FAKE4_stop_0 lamaVM2" [ style = bold]
-"VM2_stop_0 lama3" -> "FAKE6-clone_stop_0" [ style = bold]
-"VM2_stop_0 lama3" -> "FAKE6_stop_0 lamaVM2" [ style = bold]
-"VM2_stop_0 lama3" -> "FSlun3_stop_0 lamaVM2" [ style = bold]
 "VM2_stop_0 lama3" -> "VM2_start_0 lama3" [ style = bold]
 "VM2_stop_0 lama3" -> "all_stopped" [ style = bold]
-"VM2_stop_0 lama3" -> "lamaVM2-G4_stop_0" [ style = bold]
+"VM2_stop_0 lama3" -> "stonith 'reboot' lamaVM2" [ style = bold]
 "VM2_stop_0 lama3" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "lamaVM2-G4_running_0" [ style=bold color="green" fontcolor="orange"]
@@ -83,4 +78,20 @@ digraph "g" {
 "lamaVM2_stop_0 lama3" -> "all_stopped" [ style = bold]
 "lamaVM2_stop_0 lama3" -> "lamaVM2_start_0 lama3" [ style = bold]
 "lamaVM2_stop_0 lama3" [ style=bold color="green" fontcolor="black"]
+"stonith 'reboot' lamaVM2" -> "FAKE4-IP_stop_0 lamaVM2" [ style = bold]
+"stonith 'reboot' lamaVM2" -> "FAKE4_stop_0 lamaVM2" [ style = bold]
+"stonith 'reboot' lamaVM2" -> "FAKE6-clone_stop_0" [ style = bold]
+"stonith 'reboot' lamaVM2" -> "FAKE6_stop_0 lamaVM2" [ style = bold]
+"stonith 'reboot' lamaVM2" -> "FSlun3_stop_0 lamaVM2" [ style = bold]
+"stonith 'reboot' lamaVM2" -> "lamaVM2-G4_stop_0" [ style = bold]
+"stonith 'reboot' lamaVM2" -> "stonith_complete" [ style = bold]
+"stonith 'reboot' lamaVM2" [ style=bold color="green" fontcolor="orange"]
+"stonith_complete" -> "FAKE4-IP_start_0 lamaVM2" [ style = bold]
+"stonith_complete" -> "FAKE4_start_0 lamaVM2" [ style = bold]
+"stonith_complete" -> "FAKE6_start_0 lamaVM2" [ style = bold]
+"stonith_complete" -> "FSlun3_start_0 lama2" [ style = bold]
+"stonith_complete" -> "VM2_start_0 lama3" [ style = bold]
+"stonith_complete" -> "all_stopped" [ style = bold]
+"stonith_complete" -> "lamaVM2_start_0 lama3" [ style = bold]
+"stonith_complete" [ style=bold color="green" fontcolor="orange"]
 }
diff --git a/pengine/test10/bug-rh-1097457.exp b/pengine/test10/bug-rh-1097457.exp
index 94a4e8d3d..0c3430c45 100644
--- a/pengine/test10/bug-rh-1097457.exp
+++ b/pengine/test10/bug-rh-1097457.exp
@@ -10,6 +10,9 @@
       <trigger>
         <rsc_op id="36" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
+      <trigger>
+        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+      </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
@@ -65,6 +68,9 @@
       <trigger>
         <pseudo_event id="40" operation="stop" operation_key="FSlun3_stop_0"/>
       </trigger>
+      <trigger>
+        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+      </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
@@ -75,10 +81,10 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="36" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2"/>
+        <pseudo_event id="78" operation="stopped" operation_key="lamaVM2-G4_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="78" operation="stopped" operation_key="lamaVM2-G4_stopped_0"/>
+        <pseudo_event id="96" operation="stonith" operation_key="stonith-lamaVM2-reboot" on_node="lamaVM2" on_node_uuid="lamaVM2"/>
       </trigger>
     </inputs>
   </synapse>
@@ -121,7 +127,7 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="36" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2"/>
+        <pseudo_event id="96" operation="stonith" operation_key="stonith-lamaVM2-reboot" on_node="lamaVM2" on_node_uuid="lamaVM2"/>
       </trigger>
     </inputs>
   </synapse>
@@ -175,6 +181,9 @@
       <trigger>
         <rsc_op id="92" operation="start" operation_key="lamaVM2_start_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
+      <trigger>
+        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+      </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
@@ -185,14 +194,14 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="36" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2"/>
-      </trigger>
-      <trigger>
         <pseudo_event id="73" operation="stop" operation_key="FAKE4-IP_stop_0"/>
       </trigger>
       <trigger>
         <pseudo_event id="77" operation="stop" operation_key="lamaVM2-G4_stop_0"/>
       </trigger>
+      <trigger>
+        <pseudo_event id="96" operation="stonith" operation_key="stonith-lamaVM2-reboot" on_node="lamaVM2" on_node_uuid="lamaVM2"/>
+      </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
@@ -231,6 +240,9 @@
       <trigger>
         <rsc_op id="92" operation="start" operation_key="lamaVM2_start_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
+      <trigger>
+        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+      </trigger>
     </inputs>
   </synapse>
   <synapse id="15">
@@ -241,10 +253,10 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="36" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2"/>
+        <pseudo_event id="77" operation="stop" operation_key="lamaVM2-G4_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="77" operation="stop" operation_key="lamaVM2-G4_stop_0"/>
+        <pseudo_event id="96" operation="stonith" operation_key="stonith-lamaVM2-reboot" on_node="lamaVM2" on_node_uuid="lamaVM2"/>
       </trigger>
     </inputs>
   </synapse>
@@ -281,6 +293,9 @@
       <trigger>
         <rsc_op id="92" operation="start" operation_key="lamaVM2_start_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
+      <trigger>
+        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+      </trigger>
     </inputs>
   </synapse>
   <synapse id="18">
@@ -291,10 +306,10 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="36" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2"/>
+        <pseudo_event id="87" operation="stop" operation_key="FAKE6-clone_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="87" operation="stop" operation_key="FAKE6-clone_stop_0"/>
+        <pseudo_event id="96" operation="stonith" operation_key="stonith-lamaVM2-reboot" on_node="lamaVM2" on_node_uuid="lamaVM2"/>
       </trigger>
     </inputs>
   </synapse>
@@ -337,7 +352,7 @@
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="36" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2"/>
+        <pseudo_event id="96" operation="stonith" operation_key="stonith-lamaVM2-reboot" on_node="lamaVM2" on_node_uuid="lamaVM2"/>
       </trigger>
     </inputs>
   </synapse>
@@ -382,6 +397,9 @@
       <trigger>
         <rsc_op id="91" operation="stop" operation_key="lamaVM2_stop_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
+      <trigger>
+        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+      </trigger>
     </inputs>
   </synapse>
   <synapse id="25">
@@ -411,6 +429,33 @@
   </synapse>
   <synapse id="27">
     <action_set>
+      <pseudo_event id="96" operation="stonith" operation_key="stonith-lamaVM2-reboot" on_node="lamaVM2" on_node_uuid="lamaVM2">
+        <attributes CRM_meta_fail_count_FSlun3="1" CRM_meta_last_failure_FSlun3="1399961984" CRM_meta_on_node="lamaVM2" CRM_meta_on_node_uuid="lamaVM2" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="lamaVM2"/>
+        </downed>
+      </pseudo_event>
+    </action_set>
+    <inputs>
+      <trigger>
+        <rsc_op id="36" operation="stop" operation_key="VM2_stop_0" on_node="lama3" on_node_uuid="2"/>
+      </trigger>
+    </inputs>
+  </synapse>
+  <synapse id="28">
+    <action_set>
+      <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete">
+        <attributes />
+      </pseudo_event>
+    </action_set>
+    <inputs>
+      <trigger>
+        <pseudo_event id="96" operation="stonith" operation_key="stonith-lamaVM2-reboot" on_node="lamaVM2" on_node_uuid="lamaVM2"/>
+      </trigger>
+    </inputs>
+  </synapse>
+  <synapse id="29">
+    <action_set>
       <pseudo_event id="25" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
@@ -434,6 +479,9 @@
       <trigger>
         <rsc_op id="91" operation="stop" operation_key="lamaVM2_stop_0" on_node="lama3" on_node_uuid="2"/>
       </trigger>
+      <trigger>
+        <pseudo_event id="95" operation="stonith_complete" operation_key="stonith_complete"/>
+      </trigger>
     </inputs>
   </synapse>
 </transition_graph>
diff --git a/pengine/test10/bug-rh-1097457.summary b/pengine/test10/bug-rh-1097457.summary
index d78d951c1..f8d2c1446 100644
--- a/pengine/test10/bug-rh-1097457.summary
+++ b/pengine/test10/bug-rh-1097457.summary
@@ -42,18 +42,20 @@ Transition Summary:
 Executing cluster transition:
  * Resource action: lamaVM2         stop on lama3
  * Resource action: VM2             stop on lama3
+ * Pseudo action:   stonith-lamaVM2-reboot on lamaVM2
+ * Pseudo action:   stonith_complete
+ * Resource action: VM2             start on lama3
+ * Resource action: VM2             monitor=10000 on lama3
  * Pseudo action:   lamaVM2-G4_stop_0
  * Pseudo action:   FAKE4-IP_stop_0
  * Pseudo action:   FAKE6-clone_stop_0
- * Resource action: VM2             start on lama3
- * Resource action: VM2             monitor=10000 on lama3
+ * Resource action: lamaVM2         start on lama3
+ * Resource action: lamaVM2         monitor=30000 on lama3
+ * Resource action: FSlun3          monitor=10000 on lamaVM2
  * Pseudo action:   FAKE4_stop_0
  * Pseudo action:   FAKE6_stop_0
  * Pseudo action:   FAKE6-clone_stopped_0
  * Pseudo action:   FAKE6-clone_start_0
- * Resource action: lamaVM2         start on lama3
- * Resource action: lamaVM2         monitor=30000 on lama3
- * Resource action: FSlun3          monitor=10000 on lamaVM2
  * Pseudo action:   lamaVM2-G4_stopped_0
  * Resource action: FAKE6           start on lamaVM2
  * Resource action: FAKE6           monitor=30000 on lamaVM2
diff --git a/pengine/test10/guest-node-host-dies.dot b/pengine/test10/guest-node-host-dies.dot
index 01858b310..c1ced9411 100644
--- a/pengine/test10/guest-node-host-dies.dot
+++ b/pengine/test10/guest-node-host-dies.dot
@@ -5,16 +5,19 @@ digraph "g" {
 "Fencing_stop_0 rhel7-4" -> "Fencing_start_0 rhel7-4" [ style = bold]
 "Fencing_stop_0 rhel7-4" -> "all_stopped" [ style = bold]
 "Fencing_stop_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"all_stopped" -> "Fencing_start_0 rhel7-4" [ style = bold]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "container1_start_0 rhel7-2" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "container1_start_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
 "container1_stop_0 rhel7-1" -> "all_stopped" [ style = bold]
 "container1_stop_0 rhel7-1" -> "container1_start_0 rhel7-2" [ style = bold]
+"container1_stop_0 rhel7-1" -> "stonith 'reboot' lxc1" [ style = bold]
 "container1_stop_0 rhel7-1" [ style=bold color="green" fontcolor="orange"]
 "container2_start_0 rhel7-3" -> "lxc2_start_0 rhel7-3" [ style = bold]
 "container2_start_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
 "container2_stop_0 rhel7-1" -> "all_stopped" [ style = bold]
 "container2_stop_0 rhel7-1" -> "container2_start_0 rhel7-3" [ style = bold]
+"container2_stop_0 rhel7-1" -> "stonith 'reboot' lxc2" [ style = bold]
 "container2_stop_0 rhel7-1" [ style=bold color="green" fontcolor="orange"]
 "lxc-ms-master_demote_0" -> "lxc-ms-master_demoted_0" [ style = bold]
 "lxc-ms-master_demote_0" -> "lxc-ms_demote_0 lxc1" [ style = bold]
@@ -42,7 +45,7 @@ digraph "g" {
 "lxc-ms_demote_0 lxc1" -> "lxc-ms-master_demoted_0" [ style = bold]
 "lxc-ms_demote_0 lxc1" -> "lxc-ms_promote_0 lxc1" [ style = bold]
 "lxc-ms_demote_0 lxc1" -> "lxc-ms_stop_0 lxc1" [ style = bold]
-"lxc-ms_demote_0 lxc1" [ style=bold color="green" fontcolor="black"]
+"lxc-ms_demote_0 lxc1" [ style=bold color="green" fontcolor="orange"]
 "lxc-ms_monitor_10000 lxc2" [ style=bold color="green" fontcolor="black"]
 "lxc-ms_promote_0 lxc1" -> "lxc-ms-master_promoted_0" [ style = bold]
 "lxc-ms_promote_0 lxc1" [ style=bold color="green" fontcolor="black"]
@@ -84,11 +87,17 @@ digraph "g" {
 "rsc_rhel7-1_stop_0 rhel7-1" -> "all_stopped" [ style = bold]
 "rsc_rhel7-1_stop_0 rhel7-1" -> "rsc_rhel7-1_start_0 rhel7-5" [ style = bold]
 "rsc_rhel7-1_stop_0 rhel7-1" [ style=bold color="green" fontcolor="orange"]
+"stonith 'reboot' lxc1" -> "lxc-ms-master_stop_0" [ style = bold]
+"stonith 'reboot' lxc1" -> "lxc-ms_demote_0 lxc1" [ style = bold]
+"stonith 'reboot' lxc1" -> "lxc-ms_stop_0 lxc1" [ style = bold]
+"stonith 'reboot' lxc1" -> "stonith_complete" [ style = bold]
+"stonith 'reboot' lxc1" [ style=bold color="green" fontcolor="orange"]
+"stonith 'reboot' lxc2" -> "lxc-ms-master_stop_0" [ style = bold]
+"stonith 'reboot' lxc2" -> "lxc-ms_stop_0 lxc2" [ style = bold]
+"stonith 'reboot' lxc2" -> "stonith_complete" [ style = bold]
+"stonith 'reboot' lxc2" [ style=bold color="green" fontcolor="orange"]
 "stonith 'reboot' rhel7-1" -> "container1_stop_0 rhel7-1" [ style = bold]
 "stonith 'reboot' rhel7-1" -> "container2_stop_0 rhel7-1" [ style = bold]
-"stonith 'reboot' rhel7-1" -> "lxc-ms-master_stop_0" [ style = bold]
-"stonith 'reboot' rhel7-1" -> "lxc-ms_stop_0 lxc1" [ style = bold]
-"stonith 'reboot' rhel7-1" -> "lxc-ms_stop_0 lxc2" [ style = bold]
 "stonith 'reboot' rhel7-1" -> "lxc1_stop_0 rhel7-1" [ style = bold]
 "stonith 'reboot' rhel7-1" -> "lxc2_stop_0 rhel7-1" [ style = bold]
 "stonith 'reboot' rhel7-1" -> "rsc_rhel7-1_stop_0 rhel7-1" [ style = bold]
